E2FSCK(8)

NUME
e2fsck - verifică un sistem de fișiere Linux ext2/ext3/ext4

SINOPSIS
e2fsck [ -pacnyrdfkvtDFV ] [ -b super-bloc ] [ -B dimensiune-bloc ] [ -l|-L fișier-blocuri-defectuoase ] [ -C descriptor-fișier ] [ -j jurnal-extern ] [ -E opțiuni-extinse ] [ -z fișier-anulare ] dispozitiv

DESCRIERE
e2fsck este utilizat pentru a verifica familia de sisteme de fișiere ext2/ext3/ext4. În cazul sistemelor de fișiere ext3 și ext4 care utilizează un jurnal, dacă sistemul a fost închis necurățat fără erori, în mod normal, după reluarea tranzacțiilor angajate în jurnal, sistemul de fișiere ar trebui să fie marcat ca fiind curat. Prin urmare, pentru sistemele de fișiere care utilizează jurnalul, e2fsck va reda jurnalul și va ieși în mod normal, cu excepția cazului în care super-blocul său indică faptul că este necesară o verificare suplimentară.

dispozitiv este un dispozitiv de blocuri (de exemplu, /dev/sdc1) sau un fișier care conține sistemul de fișiere.

Rețineți că, în general, nu este sigur să rulați e2fsck pe sisteme de fișiere montate. Singura excepție este dacă este specificată opțiunea -n, iar opțiunile -c, -l sau -L nu sunt specificate. Cu toate acestea, chiar dacă este sigur să se facă acest lucru, rezultatele afișate de e2fsck nu sunt valabile dacă sistemul de fișiere este montat. Dacă e2fsck vă întreabă dacă trebuie sau nu să verificați un sistem de fișiere care este montat, singurul răspuns corect este „nu”. Numai experții care știu cu adevărat ce fac ar trebui să se gândească să răspundă la această întrebare în alt mod.

Dacă e2fsck este rulat în modul interactiv (ceea ce înseamnă că nu este specificată niciuna dintre opțiunile -y, -n, sau -p), programul va cere utilizatorului să rezolve fiecare problemă găsită în sistemul de fișiere. Un răspuns „d” va rezolva eroarea; „n” va lăsa eroarea nerezolvată; și „a” va rezolva problema și toate problemele ulterioare; apăsând Enter se va continua cu răspunsul implicit, care este imprimat înainte de semnul de întrebare. Apăsând «Control-C», e2fsck termină imediat.

OPȚIUNI

-a  Această opțiune face același lucru ca și opțiunea -p. Este furnizată numai pentru compatibilitate retroactivă; se sugerează ca utilizatorii să utilizeze opțiunea -p ori de câte ori este posibil.

-b super-bloc
    În loc să utilizeze super-blocul normal, utilizează un super-bloc alternativ specificat de super-bloc. Această opțiune se utilizează în mod normal atunci când super-blocul principal a fost corupt. Locația super-blocurilor de rezervă depinde de dimensiunea blocurilor sistemului de fișiere, de numărul de blocuri pe grup și de caracteristici precum sparse_super.

    Super-blocurile de rezervă suplimentare pot fi determinate cu ajutorul programului mke2fs folosind opțiunea -n pentru a afișa locul unde există super-blocurile, presupunând că mke2fs este furnizat cu argumente care sunt în concordanță cu configurația sistemului de fișiere (de exemplu, dimensiunea blocurilor, blocuri pe grup, sparse_super etc.).

    Dacă este specificat un super-bloc alternativ și dacă sistemul de fișiere nu este deschis doar pentru citire, e2fsck se va asigura că super-blocul primar este actualizat în mod corespunzător la finalizarea verificării sistemului de fișiere.

-B dimensiune-bloc
    În mod normal, e2fsck va căuta super-blocul la diverse dimensiuni de bloc diferite în încercarea de a găsi dimensiunea de bloc corespunzătoare. Această căutare poate fi păcălită în unele cazuri. Această opțiune forțează e2fsck să încerce să localizeze super-blocul doar la o anumită dimensiune a blocului. În cazul în care super-blocul nu este găsit, e2fsck se va încheia cu o eroare fatală.

-c  Această opțiune face ca e2fsck să utilizeze programul badblocks(8) pentru a efectua o scanare numai în citire a dispozitivului pentru a găsi blocuri defecte. În cazul în care se găsesc blocuri defecte, acestea sunt adăugate la nodul-i de blocuri defecte pentru a împiedica alocarea lor unui fișier sau director. Dacă această opțiune este specificată de două ori, atunci scanarea blocurilor defecte se va face folosind un test nedistructiv de citire-scriere.

-Cdescriptor-fișier
    Această opțiune face ca e2fsck să scrie informații de finalizare în descriptorul de fișier specificat, astfel încât progresul verificării sistemului de fișiere să poată fi monitorizat. Această opțiune este utilizată de obicei de programele care execută e2fsck. În cazul în care numărul descriptorului de fișier este negativ, se va utiliza valoarea absolută a descriptorului de fișier, iar informațiile privind progresul vor fi inițial suprimate. Aceasta poate fi activată ulterior prin trimiterea către procesul e2fsck a unui semnal SIGUSR1. În cazul în care descriptorul de fișier specificat este 0, e2fsck va imprima o bară de finalizare în timp ce își continuă activitatea. Acest lucru necesită ca e2fsck să ruleze pe o consolă video sau pe un terminal.

-d  Afișează ieșirea de depanare (inutilă, cu excepția cazului în care depanați e2fsck).

-D  Optimizează directoarele din sistemul de fișiere. Această opțiune face ca e2fsck să încerce să optimizeze toate directoarele, fie prin re-indexarea lor, dacă sistemul de fișiere acceptă indexarea directoarelor, fie prin sortarea și comprimarea directoarelor în cazul directoarelor mai mici sau în cazul sistemelor de fișiere care utilizează directoare liniare tradiționale.

    Chiar și fără opțiunea -D, e2fsck poate uneori să optimizeze câteva directoare --- de exemplu, dacă indexarea directoarelor este activată și un director nu este indexat și ar beneficia de pe urma indexării, sau dacă structurile indexului sunt corupte și trebuie reconstruite. Opțiunea -D forțează toate directoarele din sistemul de fișiere să fie optimizate. Acest lucru le poate face uneori puțin mai mici și ușor mai rapide la căutare, dar în practică, ar trebui să fie rareori nevoie să utilizați această opțiune.

    Opțiunea -D va detecta intrările de directoare cu nume duplicate într-un singur director, lucru pe care e2fsck nu îl aplică în mod normal din motive de performanță.

-E opțiuni-extinse
    Definește opțiunile extinse ale e2fsck. Opțiunile extinse sunt separate prin virgulă și pot primi un argument folosind semnul egal („=”). Sunt acceptate următoarele opțiuni:

    ea_ver=versiune-atribute-extinse
        Stabilește versiunea blocurilor de atribute extinse de care e2fsck va avea nevoie în timpul verificării sistemului de fișiere. Numărul versiunii poate fi 1 sau 2. Formatul prestabilit al versiunii atributelor extinse este 2.

    journal_only
        Recuperează jurnalul numai dacă este necesar, dar nu efectuează nicio altă verificare sau reparație.

    fragcheck
        În timpul pasului 1, afișează un raport detaliat al tuturor blocurilor discontinue pentru fișierele din sistemul de fișiere.

    discard
        Încearcă să renunțe la blocurile libere și la blocurile de noduri-i neutilizate după verificarea completă a sistemului de fișiere (renunțarea la blocuri este utilă în cazul dispozitivelor cu stare solidă și al sistemelor de stocare dispersă / cu spațiu redus). Rețineți că renunțarea se face în pasul 5 DUPĂ ce sistemul de fișiere a fost verificat complet și numai dacă nu conține erori recognoscibile. Cu toate acestea, pot exista cazuri în care e2fsck nu recunoaște pe deplin o problemă și, prin urmare, în acest caz, această opțiune vă poate împiedica să continuați recuperarea manuală a datelor.

    nodiscard
        Nu se încearcă să se renunțe la blocurile libere și la blocurile de noduri-i neutilizate. Această opțiune este exact opusul opțiunii „discard”. Aceasta este activată în mod implicit.

    no_optimize_extents
        Nu se oferă să optimizeze arborele „extent” prin eliminarea lățimii sau a adâncimii inutile. Acest lucru poate fi activat și în secțiunea de opțiuni din /etc/e2fsck.conf.

    optimize_extents
        Se oferă să optimizeze arborele „extent” prin eliminarea lățimii sau a adâncimii inutile. Aceasta este valoarea implicită, cu excepția cazului în care se specifică altfel în /etc/e2fsck.conf.

    inode_count_fullmap
        Face un compromis între utilizarea memoriei și viteză atunci când verifică un sistem de fișiere cu un număr mare de fișiere cu legături dure. Cantitatea de memorie necesară este proporțională cu numărul de noduri-i din sistemul de fișiere. În cazul sistemelor de fișiere mari, aceasta poate reprezenta gigaocteți de memorie; (de exemplu, un sistem de fișiere de 40 To cu 2,8 miliarde de noduri-i va consuma 5,7 Go de memorie suplimentară dacă această optimizare este activată). Această optimizare poate fi, de asemenea, activată în secțiunea de opțiuni din /etc/e2fsck.conf.

    no_inode_count_fullmap
        Dezactivează optimizarea inode_count_fullmap. Aceasta este valoarea implicită, dacă nu se specifică altfel în /etc/e2fsck.conf.

    readahead_kb
        Utilizează atâția Kio de memorie pentru a preleva metadatele în speranța de a reduce timpul de execuție a e2fsck. În mod implicit, această valoare este stabilită la dimensiunea tabelelor de noduri a două grupuri de blocuri (de obicei 4Mio pe un sistem de fișiere ext4 obișnuit); dacă această cantitate este mai mare de 1/50 din memoria fizică totală, „readahead” este dezactivată. Stabiliți această valoare la zero pentru a dezactiva complet „readahead”.

    bmap2extent
        Convertește fișierele de tip corespondență-blocuri în fișiere de tip corespondență-extent.

    fixes_only
        Repară numai metadatele deteriorate; nu optimizează directoarele htree și nu comprimă arborii „extent”. Această opțiune este incompatibilă cu opțiunile „-D” și „-E bmap2extent”.

    check_encoding
        Forțează verificarea numelor de fișiere codificate în directoare care nu țin cont de majuscule și minuscule. Acesta este modul implicit în cazul în care sistemul de fișiere are activat fanionul „strict”.

    unshare_blocks
        În cazul în care sistemul de fișiere are blocuri partajate, cu caracteristica de numai citire a blocurilor partajate activată, această opțiune va anula partajarea tuturor blocurilor partajate și va dezactiva bitul caracteristicii de numai citire, „read-only feature”. În cazul în care nu există suficient spațiu liber, operația va eșua. În cazul în care sistemul de fișiere nu are bitul „read-only feature”, dar are oricum blocuri partajate, atunci această opțiune nu va avea niciun efect. Rețineți că, atunci când se utilizează această opțiune, dacă nu există spațiu liber pentru clonarea blocurilor, nu se solicită ștergerea fișierelor și, în schimb, operația va eșua.

        Rețineți că opțiunea „unshare_blocks” implică opțiunea „-f” pentru a se asigura că sunt rulați toți pașii. În plus, dacă este specificată și opțiunea „-n”, e2fsck va simula încercarea de a aloca suficient spațiu pentru deduplicare. Dacă acest lucru eșuează, codul de ieșire va fi diferit de zero.

-f  Forțează verificarea chiar dacă sistemul de fișiere pare curat.

-F  Golește zona de prestocare (cache) a memoriilor tampon ale dispozitivului sistemului de fișiere înainte de a începe. Este foarte utilă doar pentru a face teste de timp e2fsc.

-j jurnal-extern
    Stabilește numele rutei în care poate fi găsit jurnalul extern pentru acest sistem de fișiere.

-k  Atunci când este combinată cu opțiunea -c, orice blocuri defectuoase existente în lista de blocuri defectuoase sunt păstrate, iar orice blocuri defectuoase noi găsite prin rularea badblocks(8) vor fi adăugate la lista de blocuri defectuoase existente.

-l nume-fișier
    Adaugă numerele de blocuri enumerate în fișierul specificat de nume-fișier la lista de blocuri defectuoase. Formatul acestui fișier este același cu cel generat de programul badblocks(8). Rețineți că numerele de bloc se bazează pe dimensiunea blocurilor din sistemul de fișiere. Prin urmare, programul badblocks(8) trebuie să primească dimensiunea blocurilor din sistemul de fișiere pentru a obține rezultate corecte. Ca urmare, este mult mai simplu și mai sigur să folosiți opțiunea -c pentru e2fsck, deoarece aceasta va asigura transmiterea parametrilor corecți către programul badblocks.

-L nume-fișier
    Stabilește lista de blocuri defectuoase ca fiind lista de blocuri specificată de nume-fișier; (această opțiune este identică cu opțiunea -l, cu excepția faptului că lista de blocuri defectuoase este ștearsă înainte ca blocurile enumerate în fișier să fie adăugate la lista de blocuri defectuoase).

-n  Deschide sistemul de fișiere numai pentru citire și presupune că răspunsul la toate întrebările este „nu”. Permite ca e2fsck să fie utilizat în mod non-interactiv. Această opțiune nu poate fi specificată în același timp cu opțiunile -p sau -y.

-p  Repară automat („procesează”) sistemul de fișiere. Această opțiune va face ca e2fsck să repare automat orice problemă a sistemului de fișiere care poate fi reparată în siguranță fără intervenție umană. Dacă e2fsck descoperă o problemă care poate necesita ca administratorul de sistem să ia măsuri corective suplimentare, e2fsck va afișa o descriere a problemei și apoi va ieși cu valoarea 4 combinată logic (OR) în codul de ieșire; (a se vedea secțiunea COD DE IEȘIRE.) Această opțiune este utilizată în mod normal de scripturile de pornire ale sistemului. Ea nu poate fi specificată în același timp cu opțiunile -n sau -y.

-r  Această opțiune nu are niciun efect; este furnizată doar pentru compatibilitate retroactivă.

-t  Afișează statistici cu marcaje de timp pentru e2fsck. Dacă această opțiune este utilizată de două ori, se afișează statistici suplimentare de timp, pas cu pas.

-v  Modul super-descriptiv.

-V  Afișează informațiile despre versiune și iese.

-y  Presupune un răspuns „da” la toate întrebările; permite ca e2fsck să fie utilizat non-interactiv. Această opțiune nu poate fi specificată în același timp cu opțiunile -n sau -p.

-z fișier-anulare
    Înainte de a suprascrie un bloc din sistemul de fișiere, scrie conținutul vechi al blocului într-un fișier-de-anulare. Acest fișier-de-anulare poate fi utilizat cu e2undo(8) pentru a restabili vechiul conținut al sistemului de fișiere în cazul în care ceva nu merge bine. Dacă se trece un șir gol ca argument fișier-de-anulare, fișierul-de-anulare va fi scris într-un fișier numit e2fsck-dispozitiv.e2undo în directorul specificat prin intermediul variabilei de mediu E2FSPROGS_UNDO_DIR.

    AVERTISMENT: Fișierul de anulări „undo” nu poate fi utilizat pentru a recupera după o pană de curent sau de sistem.

COD DE IEȘIRE
Codul de ieșire returnat de e2fsck este suma următoarelor condiții:
  0    - Nu sunt erori.
  1    - Erori ale sistemului de fișiere corectate.
  2    - Erorile sistemului de fișiere au fost corectate, sistemul
    trebuie să fie repornit.
  4    - Erori ale sistemului de fișiere lăsate necorectate.
  8    - Eroare de operare.
  16    - Eroare de utilizare sau de sintaxă.
  32    - Verificare e2fsck anulată la cererea utilizatorului.
  128    - Eroare în biblioteca partajată.

SEMNALE
Următoarele semnale au următorul efect atunci când sunt trimise la e2fsck.

SIGUSR1
    Acest semnal face ca e2fsck să înceapă să afișeze o bară de finalizare sau să emită informații de progres; (a se vedea discuția despre opțiunea -C).

SIGUSR2
    Acest semnal face ca e2fsck să nu mai afișeze o bară de finalizare sau să nu mai emită informații de progres.

RAPORTAREA ERORILOR
Aproape orice piesă de software va avea erori. Dacă reușiți să găsiți un sistem de fișiere care provoacă prăbușirea e2fsck sau pe care e2fsck nu îl poate repara, vă rugăm să îl raportați autorului.

Vă rugăm să includeți cât mai multe informații în raportul de eroare. În mod ideal, includeți o transcriere completă a execuției e2fsck, astfel încât să pot vedea exact ce mesaje de eroare sunt afișate. (Asigurați-vă că mesajele afișate de e2fsck sunt în limba engleză; dacă sistemul dvs. a fost configurat astfel încât mesajele lui e2fsck au fost traduse într-o altă limbă, vă rugăm să definiți variabila de mediu LC_ALL la C, astfel încât transcrierea ieșirii lui e2fsck să îmi fie utilă). Dacă dispuneți de un sistem de fișiere inscriptibil în care poate fi stocată transcrierea, programul script(1) este o modalitate utilă de a salva ieșirea lui e2fsck într-un fișier.

De asemenea, este util să se trimită ieșirea lui dumpe2fs(8). În cazul în care unul sau mai multe noduri-i specifice par să dea bătăi de cap lui e2fsck, încercați să rulați comanda debugfs(8) și trimiteți rezultatul comenzii stat(1u) executată pe nodul-i/nodurile-i respective. Dacă nodul-i este un director, comanda debugfs dump vă va permite să extrageți conținutul nodului-i al directorului, care îmi poate fi trimis după ce a fost rulat mai întâi prin uuencode(1). Cele mai utile date pe care le puteți trimite pentru a ajuta la reproducerea erorii sunt o descărcare de imagine brută comprimată a sistemului de fișiere, generată cu e2image(8). Consultați pagina de manual e2image(8) pentru mai multe detalii.

Includeți întotdeauna șirul complet al versiunii pe care e2fsck îl afișează atunci când este rulat, astfel încât să știu ce versiune executați.

MEDIU

E2FSCK_CONFIG
    Determină locația fișierului de configurare (a se vedea e2fsck.conf(5)).

AUTOR
Această versiune de e2fsck a fost scrisă de Theodore Ts'o <tytso@mit.edu>.

CONSULTAȚI ȘI
e2fsck.conf(5), badblocks(8), dumpe2fs(8), debugfs(8), e2image(8), mke2fs(8), tune2fs(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.